package com.biganto.visual.roompark.presentation.screen.to_flat

import android.view.View
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.base.RoomParkApplication
import com.biganto.visual.roompark.base.RoomParkMainActivity
import com.biganto.visual.roompark.conductor.BigantoBaseController
import timber.log.Timber
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

class FindFlatScreenController  :
    BigantoBaseController<FindFlatScreenViewState
        , FindFlatScreen
        , FindFlatScreenPresenter>()
    , FindFlatScreen {

    override fun injectDependencies() {
        getComponent()
    }

    @Inject
    override lateinit var injectedPresenter: FindFlatScreenPresenter


    override fun onViewBound(v: View) {

    }

    override fun render(viewState: FindFlatScreenViewState) {
        super.render(viewState)
        Timber.d("Render state $viewState")
        when(viewState){
            is FindFlatScreenViewState.Idle -> render(viewState)
        }
    }

    private fun render(viewState: FindFlatScreenViewState.Idle){

    }

    private fun getComponent() = DaggerFindFlatScreenComponent.factory()
        .create(RoomParkApplication.component,activity as RoomParkMainActivity)
        .inject(this)

    override fun getLayoutId(): Int = R.layout.find_flat_screen


}